セーブしたときサイズ(KB)が増えるバグ?

Create issue
Issue #1003 resolved
CWさすらい人 created an issue

セーブしたときにAdventurerフォルダのxmlファイルのサイズが

増えるようになっています。

(フォルダの場所は、Yado⇒●●亭(個別の宿名)⇒Adventurer)

①セーブしたときのパーティーに編成されて活動している冒険者のサイズが

それぞれ増えています。

②セーブしたとき●●亭のフォルダ内でYado.db-journalというファイルが

一時的に発生した場合に増えているようです。

連続でセーブした場合などでは増えませんでした。

Comments (10)

  1. k4nagatsuki repo owner

    pull request #177

    ご報告ありがとうございます。issue #995の修正内容が誤っており、ファイル内の改行が保存のたびに増える状態になっていました。

    データ内容的にはほぼ無害だと思いますが(読込速度が体感可能なレベルで遅くなるにはよほどの回数更新される必要があります)、気になる場合はXMLファイルをテキストエディタで開いて手動で空白行を削除する事もできないではありません。その場合、逆に壊してしまう可能性もあるので、作業前にバックアップを取ることをお勧めします。

    これは問題の大きさのわりに見つけにくいバグなので、ご報告いただけて助かりました。ありがとうございます。

  2. k4nagatsuki repo owner

    少し訂正します。挙動を確認しましたが、無限に改行が増えるという事はありません(最初の一回のみのはず)。

    これくらいであればまずパフォーマンスには影響しないので、よほど気持ち悪いのでなければ手動での修正は避けた方がいいかもしれません。

  3. CWさすらい人 reporter
    • ご対応ありがとうございます。
    • 気になって色々とテストしてみたところ、冒険の中断⇒冒険の再開で
    • 一度セーブしたチームを選び、再びセーブを行うとサイズが増えました。
    • ゲームを切ってから再度ゲームを起動させてセーブしても同様でした。
    • 確証はありませんが、編成された冒険者を改めて読み込むたびに
    • サイズが増える条件が整うのかもしれません。
    • (自分の環境だけだったり、全然違ってたらすみません)

  4. k4nagatsuki repo owner

    最新のテスト版でも際限なく増えていくような事があるのでしょうか?

    XMLファイルはテキストエディタで開くことができますが(Win10付属のメモ帳なら改行を含めて正しく表示できるはずです)、それで内容を見たときに不自然な空行が新規に(今回修正した問題ですでに発生済みの空行を除いて)発生しているというような事が依然として起こっているでしょうか?

  5. CWさすらい人 reporter

    • 返信ありがとうございます。確認しました。
    • cardwirthpy_20210106c_x64ではpygame windowというのが同時に起動してゲームが出来ませんでしたが
    • cardwirthpy_20210106b_x64のほうでテストしてみたところ、サイズは増えませんでした。
    • 気を揉ませてしまってすみません……問題は解決していました。ご対応ありがとうございました。

    無用かもしれませんが、pygame windowが出たときのCardWirthPy.exe.logを載せておきますm(_ _)m

    Version : 4.3 (64-bit) / 2021-01-06 23:27:36
    DateTime: 2021-01-07 20:28:16
    Traceback (most recent call last):
    File ".\cw\thread.py", line 964, in run
    File ".\cw\thread.py", line 1016, in _run
    File ".\cw\thread.py", line 1027, in main_loop
    File ".\cw\eventhandler.py", line 29, in run
    File ".\cw\eventrelay.py", line 115, in is_keyin
    IndexError: list index out of range

    Exception in thread Thread-1:
    Traceback (most recent call last):
    File ".\cw\thread.py", line 964, in run
    File ".\cw\thread.py", line 1016, in _run
    File ".\cw\thread.py", line 1027, in main_loop
    File ".\cw\eventhandler.py", line 29, in run
    File ".\cw\eventrelay.py", line 115, in is_keyin
    IndexError: list index out of range

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "C:\Program Files\Python38\lib\threading.py", line 932, in _bootstrap_inner
    File ".\cw\thread.py", line 981, in run
    File ".\cw\thread.py", line 5238, in play_sound
    AttributeError: 'CWPy' object has no attribute 'sounds'
    Traceback (most recent call last):
    File ".\cw\frame.py", line 558, in OnSetFocus
    File ".\cw\frame.py", line 566, in update_keystate
    File ".\cw\eventrelay.py", line 115, in is_keyin
    IndexError: list index out of range

  6. k4nagatsuki repo owner

    ありがとうございます。

    実は最近CWPyが使用しているpygameというライブラリがアップデートされたのですが、その新しいバージョンの方ではCWPyの根本部分(ウィンドウのところ)がうまく動かないので、対応を試みている最中です。昨日のcは誤ってその新しいバージョンでビルドしてしまったのだと思います。ご迷惑をおかけして申し訳ありません。

  7. CWさすらい人 reporter

    こちらこそ、カードワースpyには大変お世話になっております。今回は私の不手際ゆえ色々とお見苦しいところをお見せしてしまいましたが、これからも応援させて頂きます。

  8. Log in to comment